Debian Bug report logs - #685585
src:fex: GPL + additional restrictions

version graph

Package: src:fex; Maintainer for src:fex is Kilian Krause <kilian@debian.org>;

Reported by: Ansgar Burchardt <ansgar@debian.org>

Date: Wed, 22 Aug 2012 06:33:01 UTC

Severity: serious

Found in versions fex/20100208+debian1-1+squeeze3, fex/20120215-3

Fixed in versions 20120718-5+rm, 20120930-1

Done: Kilian Krause <kilian@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ftpmaster@debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#685585; Package src:fex. (Wed, 22 Aug 2012 06:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
New Bug report received and forwarded. Copy sent to ftpmaster@debian.org, Giuseppe Iuculano <iuculano@debian.org>. (Wed, 22 Aug 2012 06:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: submit@bugs.debian.org
Subject: src:fex: GPL + additional restrictions
Date: Wed, 22 Aug 2012 08:31:19 +0200
Source: fex
Version: 20120215-3
Control: found -1 20100208+debian1-1+squeeze3
Severity: serious

Philipp Kern <pkern@debian.org> writes:
> On Sat, Aug 18, 2012 at 09:13:42PM +0100, Adam D. Barratt wrote:
>> + YOU ARE NOT ALLOWED TO USE THIS SOFTWARE FOR MILITARY PURPOSES OR WITHIN
>> + MILITARY ORGANIZATIONS! THIS INCLUDES ALSO MILITARY RESEARCH AND
>> + EDUCATION!
>> That doesn't really seem like something Debian can really meet or
>> enforce...
>
> Hereby bringing this to the attention of the ftp-masters. fex is in main
> but includes that clause on top of AGPL-3.
>
> Which probably means for one that it's no longer compatible with GPL code,
> which might or might not be relevant, and, more severly, it's not compatible
> with the DFSG.

That clause is an additional restriction to the GPL and makes fex
undistributable by Debian (not even in non-free).

Ansgar



Marked as found in versions fex/20100208+debian1-1+squeeze3. Request was from Ansgar Burchardt <ansgar@debian.org> to submit@bugs.debian.org. (Wed, 22 Aug 2012 06:33:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 685585: 687042 Request was from Federico Ceratto <federico.ceratto@gmail.com> to control@bugs.debian.org. (Sat, 08 Sep 2012 17:39:03 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 11 Sep 2012 21:33:08 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Tue, 11 Sep 2012 21:33:08 GMT) Full text and rfc822 format available.

Message #14 received at 685585-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 685585-done@bugs.debian.org,
Cc: fex@packages.debian.org, fex@packages.qa.debian.org
Subject: Bug#687042: Removed package(s) from unstable
Date: Tue, 11 Sep 2012 21:31:42 +0000
Version: 20120718-5+rm

Dear submitter,

as the package fex has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/687042

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)



Reply sent to Kilian Krause <kilian@debian.org>:
You have taken responsibility. (Mon, 29 Oct 2012 09:24:10 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Mon, 29 Oct 2012 09:24:10 GMT) Full text and rfc822 format available.

Message #19 received at 685585-done@bugs.debian.org (full text, mbox):

From: Kilian Krause <kilian@debian.org>
To: 685585-done@bugs.debian.org
Subject: Fixed in new upload for non-free
Date: Mon, 29 Oct 2012 09:49:20 +0100
[Message part 1 (text/plain, inline)]
Version: 20120930-1

Closing as this was fixed with 20120930-1.

Cheers,
Kilian
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 08:01:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:29:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.